Kerbal Space Program - Bug #2052

Upcoming maneuver is lost after re-entering command pod post EVA
01/27/2014 07:24 AM - majic79
Description

After launching into a low altitude orbit, a maneuver that's been added in map mode is lost, if the kerbal is ordered to EVA and then
immediately rejoins the vessel.

Using a simple two stage rocket with additional (6x) laterally decoupleable solid fuel boosters, launch to low orbit and establish a
normal low kerbin orbit for EVA and science. Add a maneuver some way ahead in order to plan for return to kerbin. Order Kerbin to
EVA. Make an EVA report. Re-enter command pod. Maneuver is lost.

Additional info - only tested on Windows, reliably reproduced in career mode (not tested in sandbox or other modes)

History

#1 - 01/27/2014 09:49 AM - Ted
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

As this isn't unexpected behaviour - Manoeuvre Nodes aren't persistent when switching vessels currently - it's not technically a bug. However, | can
definitely see why you would think this as it's surprising to a player. Thus, | recommend you make a feedback issue addressing this.
Thanks!

#2 - 01/27/2014 04:49 PM - TruePikachu
| can confirm what Ted stated 100%. However, | offer a (mod-supplied) workaround.

Kerbal Alarm Clock, if you set an alarm for at a maneuver node, can restore the node when the alarm goes off. | haven't tested it for multiple nodes
deep, but the current node is definitly restored (and | actually have a probe waiting for an Eeloo window with a node in KAC).

Just remember that KAC is a mod, and might make bug reports invalid. However, it could be considered a potential workaround.

#3 - 01/28/2014 03:50 AM - majic79

Thanks - | don't think that this should be a mod (however | think warp should react to time to maneuver in much the same way as it does to altitude,
limiting warp factor based on time to maneuver nodes)

| like the idea of the alarm clock for multiple flights though

I've submitted feedback and have expanded it to include some auto-pilot type thoughts, I've also brought it up on the forum as | thought it may be an
idea that others find valuable (or | could be miles out to sea awaiting recovery!)

#4 - 01/28/2014 01:21 PM - TruePikachu
Yeah, KAC is very useful for that sort of stuff. I'd like to see something similar to it in Vanilla at some point in the future, but for now, KAC works well
enough.

IMO, many efficient interplanetary flights in the current game practically require the use of mods (MechJeb for hour-long burns on the LV-N, KAC for
the long transfer times, and Kethane for refueling). Of these three, MechJeb won't be implemented, and Kethane is planned to be put in in another
form. KAC is the only thing without any c/d from the team.
